Uploaded image for project: 'Plugins'
  1. Plugins
  2. CONTRIB-3633

Cannot upgrade database to 2011052303

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 2.2.2
    • Fix Version/s: None
    • Component/s: Block: AJAX Marking
    • Labels:
      None
    • Affected Branches:
      MOODLE_22_STABLE

      Description

      RHEL5
      PHP 5.3.3
      MySQL 5.0.95
      2011052303 database upgrade does not work. upgrade.php line 198 specifies renaming the modules table to mod which is a MySQL keyword. Query fails with the error:
      You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'mod
      ON (course_modules.module = mod.id
      ' at line 5

      Changing this shortname to m fixes the SQL issue but does not return any results. We only have two instances of this block in production, so it may still be a valid query. Line 195 indicates this upgrade still needs testing. Please let me know what I can do to help test it.

        Attachments

          Activity

            People

            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: